Name:           debootstrap
Version:        1.0.53
Release:        %mkrel 2
Summary:        Bootstrap a basic Debian or Debian derivative system
License:        MIT
Group:          System/Packaging
Url:            http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git

Source0:        http://ftp.debian.org/debian/pool/main/d/debootstrap/%{name}_%{version}.tar.gz
Source1:        devices.tar.gz

%description
debootstrap is used to create a Debian or Debian derivative base system from
scratch, without requiring the availability of dpkg or apt. It does this by
downloading .deb files from a mirror site, and carefully unpacking them into a
directory which can eventually be chrooted into.

%prep
%setup -q
perl -pi -e 's/ -o root -g root//' Makefile
perl -pi -e 's/^(\s+)(chown.*)$/$1#$2/g' Makefile
perl -pi -e 's/^(all:.*?)(\S+.tar.gz)$/$1/g' Makefile
perl -pi -e 's,qw(%{_prefix}/lib /lib),qw(%{_libdir} /%{_lib}),' functions
cp %{SOURCE1} .

%build
%make

%install
%makeinstall_std
install -D -m 644 %{name}.8 %{buildroot}%{_mandir}/man8/%{name}.8

%files
%doc TODO
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.53-2.mga4
+ Revision: 533095
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 obgr_seneca <obgr_seneca> 1.0.53-1.mga4
+ Revision: 471628
- New version 1.0.53

* Tue Jan 22 2013 fwang <fwang> 1.0.46-3.mga3
+ Revision: 390746
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.0.46-2.mga3
+ Revision: 348715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 obgr_seneca <obgr_seneca> 1.0.46-1.mga3
+ Revision: 341297
- new version 1.0.46

* Sun Dec 23 2012 obgr_seneca <obgr_seneca> 1.0.44-1.mga3
+ Revision: 334063
- new version 1.0.44

* Thu Jul 05 2012 obgr_seneca <obgr_seneca> 1.0.42-1.mga3
+ Revision: 267871
- changed path to build dir
- New version

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 1.0.41-1.mga3
+ Revision: 263645
- New version 1.0.41

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1.0.40-1.mga3
+ Revision: 247972
- changes path to source dir
- new version 1.0.40

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 1.0.38-1.mga2
+ Revision: 171827
- new version 1.0.38

* Sun Nov 06 2011 kamil <kamil> 1.0.37-1.mga2
+ Revision: 164411
- new version
- URL updated
- the description and the summary updated
- removed the clean section

* Thu Sep 15 2011 obgr_seneca <obgr_seneca> 1.0.36-1.mga2
+ Revision: 143829
- new version 1.0.36
- imported package debootstrap


* Wed Aug 10 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.0.34-1.mga1
- update to new version 1.0.34

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.19-1mdv2010.0
+ Revision: 450630
- update to new version 1.0.19

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.17-1mdv2010.0
+ Revision: 447985
- update to new version 1.0.17

* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-2mdv2010.0
+ Revision: 427958
- rebuild

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 1.0.10-1mdv2009.0
+ Revision: 278171
- 1.0.10

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.8-3mdv2009.0
+ Revision: 244023
- rebuild

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 1.0.8-1mdv2008.1
+ Revision: 177384
- install man page
- adapt to arch-independant installation in datadir
- remove extra chown in Makefile
- use makeinstall_std (no arch dependency anymore)
- fix regexp removing devices.tar.gz from Makefile
- 1.08
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 58234
- 1.0.1
- make install-arch to install devices.tar.gz and pkgdetails
- use devices.tar.gz tarball from Debian binary package
- run make

* Mon Jul 23 2007 Olivier Blin <oblin@mandriva.com> 1.0.0-1mdv2008.0
+ Revision: 54664
- initial debootstrap package
- Create debootstrap

